classification
Title: Slightly misleading wording in documentation of dict.update
Type: Stage: needs patch
Components: Documentation Versions: Python 3.1, Python 3.2, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: MLModel, docs@python, eric.araujo, georg.brandl, sandro.tosi, terry.reedy
Priority: normal Keywords: easy, patch

Created on 2010-08-10 20:50 by MLModel, last changed 2010-09-25 16:56 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
issue9562-py3k.patch sandro.tosi, 2010-09-25 16:50
Messages (5)
msg113557 - (view) Author: Mitchell Model (MLModel) Date: 2010-08-10 20:50
The documentation of dict.update says that it "accepts either another dictionary object or an iterable of key/value pairs (as a tuple or other iterable of length two)" The parenthesized phrase is slightly misleading in that it could be interpreted as requiring the argument to be an iterable of length two, whereas the argument should be an iterable of iterables of length 2 (if not a dictionary). Suggest rewriting in the plural:
    (as tuples or other iterables of length two)
msg114023 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-08-15 23:16
I agree with the replacement: 'tuples' and 'interables' modify and must agree with 'pairs', not the initial 'iterable'.
msg114058 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-08-16 17:52
+1 on committing this change.
msg117380 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2010-09-25 16:50
Hello,
does the attached patch contains the expected wording?

Thanks,
Sandro
msg117381 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-09-25 16:56
Committed original suggestion as r85011.
History
Date User Action Args
2010-09-25 16:56:47georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg117381

resolution: fixed
2010-09-25 16:50:31sandro.tosisetfiles: + issue9562-py3k.patch
nosy: + sandro.tosi
messages: + msg117380

2010-08-16 17:52:38eric.araujosetnosy: + eric.araujo
messages: + msg114058
2010-08-15 23:16:10terry.reedysetversions: + Python 3.2, - Python 2.6
nosy: + terry.reedy

messages: + msg114023

keywords: + patch, easy
stage: needs patch
2010-08-10 20:50:00MLModelcreate